Update a subscription
curl --request PATCH \
--url https://api.matrices.com/v1/subscriptions/{subscriptionId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"cadence": {
"mode": "immediate"
},
"condition": "<string>",
"enabled": true,
"includeSelf": true,
"intent": "<string>",
"target": {
"mode": "spawn"
}
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
cadence: {mode: 'immediate'},
condition: '<string>',
enabled: true,
includeSelf: true,
intent: '<string>',
target: {mode: 'spawn'}
})
};
fetch('https://api.matrices.com/v1/subscriptions/{subscriptionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.matrices.com/v1/subscriptions/{subscriptionId}"
payload = {
"cadence": { "mode": "immediate" },
"condition": "<string>",
"enabled": True,
"includeSelf": True,
"intent": "<string>",
"target": { "mode": "spawn" }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.matrices.com/v1/subscriptions/{subscriptionId}"
payload := strings.NewReader("{\n \"cadence\": {\n \"mode\": \"immediate\"\n },\n \"condition\": \"<string>\",\n \"enabled\": true,\n \"includeSelf\": true,\n \"intent\": \"<string>\",\n \"target\": {\n \"mode\": \"spawn\"\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"agentId": "<string>",
"cadence": {
"mode": "immediate"
},
"condition": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": {
"id": "<string>",
"type": "user",
"identity": "<string>",
"origin": {
"provider": "slack",
"senderId": "<string>",
"tenantId": "<string>",
"channelId": "<string>",
"messageId": "<string>",
"threadId": "<string>"
}
},
"cursor": 1,
"enabled": true,
"feedId": "<string>",
"feedName": "<string>",
"id": "<string>",
"includeSelf": true,
"intent": "<string>",
"pendingCount": 1,
"target": {
"mode": "spawn"
},
"updatedAt": "2023-11-07T05:31:56Z",
"workspaceId": "<string>",
"feedArchivedAt": "2023-11-07T05:31:56Z",
"lastEvaluatedAt": "2023-11-07T05:31:56Z",
"lastStatus": "escalated",
"lastThreadId": "<string>",
"lastTurnId": "<string>",
"nextAt": "2023-11-07T05:31:56Z"
}{
"operation": {
"action": "<string>",
"agentId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"state": "pending",
"resolvedAt": "2023-11-07T05:31:56Z",
"resolvedBy": {
"id": "<string>",
"type": "user",
"identity": "<string>",
"origin": {
"provider": "slack",
"senderId": "<string>",
"tenantId": "<string>",
"channelId": "<string>",
"messageId": "<string>",
"threadId": "<string>"
}
},
"result": {
"status": 349,
"body": "<unknown>"
}
}
}{
"error": "<string>",
"message": "<string>",
"attemptsRemaining": 123,
"code": "<string>",
"retryAfterSeconds": 123
}{
"error": "<string>",
"message": "<string>",
"attemptsRemaining": 123,
"code": "<string>",
"retryAfterSeconds": 123
}{
"error": "<string>",
"message": "<string>",
"attemptsRemaining": 123,
"code": "<string>",
"retryAfterSeconds": 123
}{
"error": "<string>",
"message": "<string>",
"attemptsRemaining": 123,
"code": "<string>",
"retryAfterSeconds": 123
}{
"error": "<string>",
"message": "<string>",
"attemptsRemaining": 123,
"code": "<string>",
"retryAfterSeconds": 123
}Subscriptions
Update a subscription
PATCH
/
v1
/
subscriptions
/
{subscriptionId}
Update a subscription
curl --request PATCH \
--url https://api.matrices.com/v1/subscriptions/{subscriptionId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"cadence": {
"mode": "immediate"
},
"condition": "<string>",
"enabled": true,
"includeSelf": true,
"intent": "<string>",
"target": {
"mode": "spawn"
}
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
cadence: {mode: 'immediate'},
condition: '<string>',
enabled: true,
includeSelf: true,
intent: '<string>',
target: {mode: 'spawn'}
})
};
fetch('https://api.matrices.com/v1/subscriptions/{subscriptionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.matrices.com/v1/subscriptions/{subscriptionId}"
payload = {
"cadence": { "mode": "immediate" },
"condition": "<string>",
"enabled": True,
"includeSelf": True,
"intent": "<string>",
"target": { "mode": "spawn" }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.matrices.com/v1/subscriptions/{subscriptionId}"
payload := strings.NewReader("{\n \"cadence\": {\n \"mode\": \"immediate\"\n },\n \"condition\": \"<string>\",\n \"enabled\": true,\n \"includeSelf\": true,\n \"intent\": \"<string>\",\n \"target\": {\n \"mode\": \"spawn\"\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"agentId": "<string>",
"cadence": {
"mode": "immediate"
},
"condition": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": {
"id": "<string>",
"type": "user",
"identity": "<string>",
"origin": {
"provider": "slack",
"senderId": "<string>",
"tenantId": "<string>",
"channelId": "<string>",
"messageId": "<string>",
"threadId": "<string>"
}
},
"cursor": 1,
"enabled": true,
"feedId": "<string>",
"feedName": "<string>",
"id": "<string>",
"includeSelf": true,
"intent": "<string>",
"pendingCount": 1,
"target": {
"mode": "spawn"
},
"updatedAt": "2023-11-07T05:31:56Z",
"workspaceId": "<string>",
"feedArchivedAt": "2023-11-07T05:31:56Z",
"lastEvaluatedAt": "2023-11-07T05:31:56Z",
"lastStatus": "escalated",
"lastThreadId": "<string>",
"lastTurnId": "<string>",
"nextAt": "2023-11-07T05:31:56Z"
}{
"operation": {
"action": "<string>",
"agentId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"state": "pending",
"resolvedAt": "2023-11-07T05:31:56Z",
"resolvedBy": {
"id": "<string>",
"type": "user",
"identity": "<string>",
"origin": {
"provider": "slack",
"senderId": "<string>",
"tenantId": "<string>",
"channelId": "<string>",
"messageId": "<string>",
"threadId": "<string>"
}
},
"result": {
"status": 349,
"body": "<unknown>"
}
}
}{
"error": "<string>",
"message": "<string>",
"attemptsRemaining": 123,
"code": "<string>",
"retryAfterSeconds": 123
}{
"error": "<string>",
"message": "<string>",
"attemptsRemaining": 123,
"code": "<string>",
"retryAfterSeconds": 123
}{
"error": "<string>",
"message": "<string>",
"attemptsRemaining": 123,
"code": "<string>",
"retryAfterSeconds": 123
}{
"error": "<string>",
"message": "<string>",
"attemptsRemaining": 123,
"code": "<string>",
"retryAfterSeconds": 123
}{
"error": "<string>",
"message": "<string>",
"attemptsRemaining": 123,
"code": "<string>",
"retryAfterSeconds": 123
}Authorizations
APIKeyBearerAgentLeaseBearer
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Response
Updated subscription.
- Option 1
- Option 2
- Option 3
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Required range:
x >= 0Feed name denormalized at read time.
At most 4096 UTF-8 bytes.
Required range:
x >= 0- Option 1
- Option 2
Show child attributes
Show child attributes
Set once the feed is archived; its subscriptions are then force-disabled.
Available options:
escalated, dismissed, failed